Bug#616541: mplayer crashes - SIGILL - with any file

Reinhard Tartler siretart at tauware.de
Sat Mar 5 16:35:21 UTC 2011

On Sat, Mar 05, 2011 at 12:31:16 (CET), Gunther Furtado wrote:

> Since the latest update mplayer cannot play any file I could get my hands on.
> When I downgraded mplayer all files played nicely. I've run gdb and the output
> is below.

What was the version number that worked for you? And did you also
upgrade the libavcodec52?

> Please let me know what other info I can provide.
> gunther at azul:~$ mplayer /tmp/teste.mpg
> mplayer: Symbol `ff_codec_wav_tags' has different size in shared object,
> consider re-linking
> mplayer: Symbol `ff_codec_bmp_tags' has different size in shared object,
> consider re-linking
> MPlayer 1.0rc4-4.4.5 (C) 2000-2010 MPlayer Team
> mplayer: could not connect to socket
> mplayer: No such file or directory
> Failed to open LIRC support. You will not be able to use your remote control.
> Playing /tmp/teste.mpg.
> MPlayer interrupted by signal 4 in module: demux_open
> - MPlayer crashed by an 'Illegal Instruction'.
>   It may be a bug in our new runtime CPU-detection code...
>   Please read DOCS/HTML/en/bugreports.html.

Did you do that?

> - MPlayer crashed by bad usage of CPU/FPU/RAM.
>   Recompile MPlayer with --enable-debug and make a 'gdb' backtrace and
>   disassembly. Details in DOCS/HTML/en/bugreports_what.html#bugreports_crash.
> - MPlayer crashed. This shouldn't happen.
>   It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
>   gcc version. If you think it's MPlayer's fault, please read
>   DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and
>   won't help unless you provide this information when reporting a possible bug.
>  [ This binary of MPlayer in Debian is currently compiled with
>    '--enable-debug'; the debugging symbols are in the package
>    'mplayer-dbg'.]

> -- System Information:
> Debian Release: wheezy/sid
>   APT prefers unstable
>   APT policy: (865, 'unstable'), (500, 'oldstable'), (466, 'testing'), (350, 'experimental'), (301, 'stable')
> Architecture: powerpc (ppc)

What processor do you have? Does it support altivec? Is this actually a
duplicate report of #410962

> Kernel: Linux 2.6.37-trunk-powerpc
> Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> Versions of packages mplayer depends on:
> ii  libavcodec52     5:0.6.1+svn20101128-0.2 library to encode decode multimedi
> ii  libavformat52    5:0.6.1+svn20101128-0.2 ffmpeg file format library
> ii  libavutil50      5:0.6.1+svn20101128-0.2 avutil shared libraries - runtime 
> ii  libpostproc51    5:0.6.1+svn20101128-0.2 postproc shared libraries
> ii  libswscale0      5:0.6.1+svn20101128-0.2 ffmpeg video scaling library

these packages originate from debian-multimedia.org and are known to
cause a lot of problems in debian's mplayer and vlc packages. Please
replace them with the version shipped by Debian.

Reinhard Tartler, KeyID 945348A4

More information about the pkg-multimedia-maintainers mailing list